org.apache.commons.math3.geometry.euclidean.twod

## Class Vector2DFormat

- java.lang.Object
- - org.apache.commons.math3.geometry.VectorFormat<Euclidean2D>
  - - org.apache.commons.math3.geometry.euclidean.twod.Vector2DFormat

-     public class Vector2DFormat
      extends VectorFormat<Euclidean2D>

  Formats a 2D vector in components list format "{x; y}".

  The prefix and suffix "{" and "}" and the separator "; " can be replaced by any user-defined strings. The number format for components can be configured.

  White space is ignored at parse time, even if it is in the prefix, suffix or separator specifications. So even if the default separator does include a space character that is used at format time, both input string "{1;1}" and " { 1 ; 1 } " will be parsed without error and the same vector will be returned. In the second case, however, the parse position after parsing will be just after the closing curly brace, i.e. just before the trailing space.

  Since:
    3.0
  Version:
    $Id: Vector2DFormat.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.math3.geometry.VectorFormat

      `DEFAULT_PREFIX, DEFAULT_SEPARATOR, DEFAULT_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vector2DFormat()` Create an instance with default settings.
    `Vector2DFormat(NumberFormat format)` Create an instance with a custom number format for components.
    `Vector2DFormat(String prefix, String suffix, String separator)` Create an instance with custom prefix, suffix and separator.
    `Vector2DFormat(String prefix, String suffix, String separator, NumberFormat format)` Create an instance with custom prefix, suffix, separator and format for components.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `format(Vector<Euclidean2D> vector, StringBuffer toAppendTo, FieldPosition pos)` Formats a `Vector` object to produce a string.
    `static Vector2DFormat` | `getInstance()` Returns the default 2D vector format for the current locale.
    `static Vector2DFormat` | `getInstance(Locale locale)` Returns the default 2D vector format for the given locale.
    `Vector2D` | `parse(String source)` Parses a string to produce a `Vector` object.
    `Vector2D` | `parse(String source, ParsePosition pos)` Parses a string to produce a `Vector` object.

    - ### Methods inherited from class org.apache.commons.math3.geometry.VectorFormat

      `format, format, getAvailableLocales, getFormat, getPrefix, getSeparator, getSuffix, parseCoordinates`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Vector2DFormat

          public Vector2DFormat()

      Create an instance with default settings.

      The instance uses the default prefix, suffix and separator: "{", "}", and "; " and the default number format for components.

    - #### Vector2DFormat

          public Vector2DFormat(NumberFormat format)

      Create an instance with a custom number format for components.
      Parameters:
        `format` - the custom format for components.

    - #### Vector2DFormat

          public Vector2DFormat(String prefix,
                        String suffix,
                        String separator)

      Create an instance with custom prefix, suffix and separator.
      Parameters:
        `prefix` - prefix to use instead of the default "{"
        `suffix` - suffix to use instead of the default "}"
        `separator` - separator to use instead of the default "; "

    - #### Vector2DFormat

          public Vector2DFormat(String prefix,
                        String suffix,
                        String separator,
                        NumberFormat format)

      Create an instance with custom prefix, suffix, separator and format for components.
      Parameters:
        `prefix` - prefix to use instead of the default "{"
        `suffix` - suffix to use instead of the default "}"
        `separator` - separator to use instead of the default "; "
        `format` - the custom format for components.

  - ### Method Detail

    - #### getInstance

          public static Vector2DFormat getInstance()

      Returns the default 2D vector format for the current locale.
      Returns:
        the default 2D vector format.

    - #### getInstance

          public static Vector2DFormat getInstance(Locale locale)

      Returns the default 2D vector format for the given locale.
      Parameters:
        `locale` - the specific locale used by the format.
      Returns:
        the 2D vector format specific to the given locale.

    - #### format

          public StringBuffer format(Vector<Euclidean2D> vector,
                            StringBuffer toAppendTo,
                            FieldPosition pos)

      Formats a `Vector` object to produce a string.
      Specified by:
        `format` in class `VectorFormat<Euclidean2D>`
      Parameters:
        `vector` - the object to format.
        `toAppendTo` - where the text is to be appended
        `pos` - On input: an alignment field, if desired. On output: the offsets of the alignment field
      Returns:
        the value passed in as toAppendTo.

    - #### parse

          public Vector2D parse(String source)

      Parses a string to produce a `Vector` object.
      Specified by:
        `parse` in class `VectorFormat<Euclidean2D>`
      Parameters:
        `source` - the string to parse
      Returns:
        the parsed `Vector` object.

    - #### parse

          public Vector2D parse(String source,
                       ParsePosition pos)

      Parses a string to produce a `Vector` object.
      Specified by:
        `parse` in class `VectorFormat<Euclidean2D>`
      Parameters:
        `source` - the string to parse
        `pos` - input/output parsing parameter.
      Returns:
        the parsed `Vector` object.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.